Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 160008

Summary: Need support for MD5 password hashing
Product: [Retired] 389 Reporter: Rich Megginson <rmeggins>
Component: Server - PluginsAssignee: Rich Megginson <rmeggins>
Status: CLOSED CURRENTRELEASE QA Contact: Chandrasekar Kannan <ckannan>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.1CC: benl, del, jgalipea
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-06 17:49:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rich Megginson 2005-06-09 23:34:44 UTC
MD5 is used in many applications for password hashing.  It can help in migrating
other data stores to Fedora DS if FDS supports this.

Comment 1 Rich Megginson 2005-06-14 15:46:30 UTC
Coding done by David Irving <irving@maine.edu>, Fred Brittain, and Aaron Gagnon
Reviewed by Rich Megginson - minor changes to md5_pwd.c
Tested on RHEL3 with FDS post-7.1
Does not include the OpenLDAP migration script - that will be handled separately
/cvs/dirsec/ldapserver/ldap/admin/src/create_instance.c,v  <--  create_instance.c
new revision: 1.19; previous revision: 1.18
Checking in ldapserver/ldap/servers/plugins/pwdstorage/Makefile;
/cvs/dirsec/ldapserver/ldap/servers/plugins/pwdstorage/Makefile,v  <-- 
Makefilenew revision: 1.7; previous revision: 1.6
RCS file: /cvs/dirsec/ldapserver/ldap/servers/plugins/pwdstorage/md5_pwd.c,v
done
Checking in ldapserver/ldap/servers/plugins/pwdstorage/md5_pwd.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/pwdstorage/md5_pwd.c,v  <--  md5_pwd.c
initial revision: 1.1
Checking in ldapserver/ldap/servers/plugins/pwdstorage/pwd_init.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/pwdstorage/pwd_init.c,v  <--  pwd_init.c
new revision: 1.6; previous revision: 1.5
Checking in ldapserver/ldap/servers/plugins/pwdstorage/pwdstorage.h;
/cvs/dirsec/ldapserver/ldap/servers/plugins/pwdstorage/pwdstorage.h,v  <-- 
pwdstorage.h
new revision: 1.6; previous revision: 1.5


Comment 3 Jenny Galipeau 2011-06-06 17:49:33 UTC
MD5 password storage support was added in DS 8.2 - there are automated tests for this feature